Bug 1467531 - [gluster-block]: Block create help does not show the new option "prealloc <full|no>"
[gluster-block]: Block create help does not show the new option "prealloc <fu...
Status: ON_QA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-block (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity high
: ---
: RHGS 3.4.0
Assigned To: Prasanna Kumar Kalever
Sweta Anandpara
:
Depends On:
Blocks: 1503134 1545101
  Show dependency treegraph
 
Reported: 2017-07-04 03:08 EDT by Sweta Anandpara
Modified: 2018-02-14 05:23 EST (History)
3 users (show)

See Also:
Fixed In Version: gluster-block-0.2.1-15
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1545101 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sweta Anandpara 2017-07-04 03:08:50 EDT
Description of problem:
======================
While verifying bug 1459839, noticed that gluster-block create help has no mention of newly added "prealloc <full|no>" option. 

[root@dhcp47-121 ~]# gluster-block create
Inadequate arguments for create:
gluster-block create <volname/blockname> [ha <count>] [auth enable|disable] <HOST1[,HOST2,...]> <size> [--json*]
[root@dhcp47-121 ~]# 

"gluster-block help" does list it under the create section though. It seems to have gotten missed adding the same in "gluster-block create help"

Though a minor change, I would consider this important if we are exposing the gluster-block CLI to the user. If not, we could choose to live with it .. as the api calls in CNS environment are not going to be affected with this.


Version-Release number of selected component (if applicable):
=============================================================
glusterfs-3.8.4-31, gluster-block-0.2.1-3


How reproducible:
=================
Always

Additional info:
==================

[root@dhcp47-121 ~]# gluster-block 
gluster-block (0.2.1)
usage:
  gluster-block <command> <volname[/blockname]> [<args>] [--json*]

commands:
  create  <volname/blockname> [ha <count>]
                              [auth <enable|disable>]
                              [prealloc <full|no>]
                              <host1[,host2,...]> <size>
        create block device [defaults: ha 1, auth disable, prealloc no]

  list    <volname>
        list available block devices.

  info    <volname/blockname>
        details about block device.

  delete  <volname/blockname>
        delete block device.

  modify  <volname/blockname> <auth enable|disable>
        modify block device.

  help
        show this message and exit.

  version
        show version info and exit.

supported JSON formats:
  --json|--json-plain|--json-spaced|--json-pretty
unknown option: (null)
[root@dhcp47-121 ~]#
Comment 2 Sweta Anandpara 2017-07-04 04:23:19 EDT
Wrongly marked this as blocker. Removing it..
Comment 4 Prasanna Kumar Kalever 2017-07-07 07:26:31 EDT
Patch:
https://review.gluster.org/#/c/17726/

Note You need to log in before you can comment on or make changes to this bug.